<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"  %>
<html>
<head>
   <title>AmigosSpring: correo de ${usuario.login} </title>
   <link href="amigos.css" rel="stylesheet" type="text/css">
</head>
<body>
	<jsp:include page="navegacion.jsp"/>
	<div id="principal">
	<h1>Correo de ${usuario.login}</h1>
	<a href="nuevoMensaje.jsp">Nuevo mensaje</a>
	<h2>Mensajes recibidos</h2>
	<table>
		<tr class="cabecera">
			<th>Fecha/hora</th> <th>Remitente</th> <th>Asunto</th>
		</tr>
		<c:forEach items="${recibidos}" var="men">
			<tr>
			  <td> ${men.fechaCadena} </td>
			  <td> <a href="verUsuario.servlet?usuario=${men.remitente}">${men.remitente}</a> </td>
			  <td> <a href="leerMensaje.servlet?id=${men.id}">${men.asunto}</a> </td>
			</tr>
		</c:forEach>
	</table>
	<span style="color:red">${error}</span>
    </div>
</body>
</html>